org.eclipse.ecf.core.events

## Class ContainerConnectingEvent

- java.lang.Object
- - org.eclipse.ecf.core.events.ContainerConnectingEvent

All Implemented Interfaces:
  IContainerConnectingEvent, IContainerEvent, Event

    public class ContainerConnectingEvent
    extends Object
    implements IContainerConnectingEvent

### Constructor Summary

Constructors
Constructor and Description
`ContainerConnectingEvent(ID localContainerID, ID targetID)`
`ContainerConnectingEvent(ID localContainerID, ID targetID, Object data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getData()` Get data associated with connecting
`ID` `getLocalContainerID()` Get ID of local discovery container (the discovery container receiving this event).
`ID` `getTargetID()` Get ID of container target (the container we are connecting to)
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainerConnectingEvent

    public ContainerConnectingEvent(ID localContainerID,
                                    ID targetID,
                                    Object data)

#### ContainerConnectingEvent

    public ContainerConnectingEvent(ID localContainerID,
                                    ID targetID)

### Method Detail

#### getTargetID

    public ID getTargetID()

Description copied from interface: `IContainerConnectingEvent`
Get ID of container target (the container we are connecting to)

Specified by:
  `getTargetID` in interface `IContainerConnectingEvent`
Returns:
  ID the ID of the container we connecting to. Will not be null.

#### getData

    public Object getData()

Description copied from interface: `IContainerConnectingEvent`
Get data associated with connecting

Specified by:
  `getData` in interface `IContainerConnectingEvent`
Returns:
  Object the object data for connect. May be null

#### getLocalContainerID

    public ID getLocalContainerID()

Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`